{
  "name": "code-analysis",
  "version": "0.1.0",
  "private": true,
  "homepage": "https://arnab-datta.github.io/counter-app",
  "dependencies": {
    "@sentry/browser": "^5.27.4",
    "bootstrap": "^4.3.1",
    "dotenv": "^8.2.0",
    "font-awesome": "^4.7.0",
    "jquery": "^3.3.1",
    "popper.js": "^1.15.0",
    "react": "^16.8.6",
    "react-dom": "^16.8.6",
    "react-scripts": "2.1.8",
    "typescript": "^3.4.2"
  },
  "devDependencies": {
    "@testing-library/jest-dom": "^5.11.6",
    "@testing-library/react": "^11.1.2",
    "enzyme": "^3.11.0",
    "enzyme-adapter-react-16": "^1.15.5",
    "jest-sonar-reporter": "^2.0.0",
    "react-test-renderer": "^16.13.1",
    "sonarqube-scanner": "^2.8.0"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "sonar": "node sonar-project.js",
    "test": "react-scripts test --coverage --testResultsProcessor jest-sonar-reporter",
    "eject": "react-scripts eject"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "jestSonar": {
    "reportPath": "reports",
    "reportFile": "test-report.xml",
    "indent": 4
  },
  "browserslist": [
    ">0.2%",
    "not dead",
    "not ie <= 11",
    "not op_mini all"
  ]
}
